/*****************************************************************************************
*                                                                                        *
* This SAS program will extract the United States Sentencing Commission's Application    *
* and Impact of 21 U.S.C  851:  Enhanced Penalties for Federal Drug Trafficking         *
* Offenders report file and create a SAS dataset.                                        *
*                                                                                        *
* Prior to running the program you must update the DAT file location in the FILNAME line *
* to correspond to the location of the file on your computer.                            *
*                                                                                        *
* You must also update the library location in the LIBNAME statement to correspond to    *
* the folder you want the output file to be located.                                     *
*                                                                                        *
*****************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
FILENAME datafile '.\ussc_21851_report_public.dat' ;

/* The following line should contain the directory in which you wish your SAS file to be stored */
libname library '.' ;

/* The following line contains the name (without the extension) for your SAS dataset */
%LET dataset = ussc_21851_report_public ;

DATA library.&dataset ;
INFILE datafile LRECL=11;
INPUT
   USSCIDN  1-7             ELIGIBLE  8              FILED  9              
   WITHDRWN  10             CTRELIEF  11           ;                       

LABEL
   USSCIDN = "USSCIDN"
   FILED = "GOVT_FILE_INFO"
   WITHDRWN = "SECTION_851_INFO_WITHDRAWN"
   CTRELIEF = "COURT_851_FINDINGS" ;

LENGTH
   USSCIDN 6                ELIGIBLE 3               FILED 3               
   WITHDRWN 3               CTRELIEF 3 ;

        

RUN ;
