* Encoding: windows-1252.
/*********************************************************************************************************/
/*                                                                                                                                 */
/* This SPSS program will extract the United States Sentencing Commission's Application */
/* and Impact of 21 U.S.C  851:  Enhanced Penalties for Federal Drug Trafficking             */
/* Offenders report file and create a SAS dataset.                                                            */
/*                                                                                                                                 */
/* Prior to running the program you must update the DAT file location in the                       */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your           */
/* computer.                                                                                                                 */
/*                                                                                                                                 */
/* You must also update the file output location in the SAVE OUTFILE statement at the     */
/* end of the program to correspond to the folder you want the output file to be located.       */
/*                                                                                                                                 */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\ussc_21851_report_public.dat" LRECL=11 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              ELIGIBLE 8               FILED 9               
   WITHDRWN 10              CTRELIEF 11 .         

VARIABLE LABELS
   USSCIDN 'USSCIDN'
   FILED 'GOVT_FILE_INFO'
   WITHDRWN 'SECTION_851_INFO_WITHDRAWN'
   CTRELIEF 'COURT_851_FINDINGS' .

SAVE OUTFILE='.\ussc_21851_report_public.sav'.
